-- ----------------------------------------------------------------------------
-- Add qo-sudoku to qo_modules
-- ----------------------------------------------------------------------------
INSERT INTO `qo_modules` (
        `directory`,
        `author`,
        `version`,
        `url`,
        `description`,
        `class_name`,
        `module_type`,
        `module_id`,
        `menu_path`,
        `launcher_icon_cls`,
        `launcher_shortcut_icon_cls`,
        `launcher_text`,
        `launcher_tooltip`,
        `active`,
        `preload`
) VALUES (
        'qo-sudoku/',
        'Yannick Torrès',
        '0.1',
        'http://qo-modules.tuxfamily.org/',
	'Sudoku',
	'QoDesk.QoSudoku',
	'sudoku',
	'qo-sudoku',
        'StartMenu/Games',
        'qo-sudoku-icon',
        'qo-sudoku-shortcut',
        'Sudoku',
        '<b>Sudoku</b><br />Play !',
        1,
        0
);

-- ----------------------------------------------------------------------------
-- Add files to qo_modules_files & qo_modules_stylesheets
-- ----------------------------------------------------------------------------
insert into `qo_modules_files` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-sudoku/', 'qo-sudoku.js'
from (select id from qo_modules where module_id like 'qo-sudoku') m;

insert into `qo_modules_stylesheets` (`qo_modules_id`, `directory`, `file`)
select m.id, 'qo-sudoku/', 'qo-sudoku.css'
from (select id from qo_modules where module_id like 'qo-sudoku') m;

-- ----------------------------------------------------------------------------
-- Add modules to all group
-- ----------------------------------------------------------------------------
insert into `qo_groups_has_modules` (`qo_groups_id`, `qo_modules_id`, `active`)
select g.id, m.id, 1
from (select id from qo_groups) g
   , (select id from qo_modules where module_id like 'qo-sudoku') m;